Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.sys
Class ListNode

    java.lang.Object
      |
      +--edu.utah.janosvm.sys.ListNode

Direct Known Subclasses:
  ExportManager.ImportEnumerator, Facsimile, Importable, Message, SignalHandler

public class ListNode
extends java.lang.Object

Doubly linked list node. Only to be used via a 'List'

Author:
  Tim Stack, Utah Janos Team
See Also:
  `List`

Field Summary
`ListNode` | `pred` The predecessor node in the list.
`ListNode` | `succ` The successor node in the list.

Constructor Summary
`ListNode()`

Method Summary
`void` | `append(ListNode ln)` Insert the given node directly after `this'.
`protected java.lang.Object` | `clone()` Clone a ListNode.
`void` | `prepend(ListNode ln)` Insert the given node directly before `this'.
`void` | `remove()` Remove the node from whatever list it is currently on.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### succ

    public ListNode succ

  The successor node in the list.

  XXX use an accessor, this should be read-only outside this class.

### pred

    public ListNode pred

  The predecessor node in the list.

  XXX use an accessor, this should be read-only outside this class.

Constructor Detail

### ListNode

    public ListNode()

Method Detail

### remove

    public void remove()

  Remove the node from whatever list it is currently on. If its not on a list, that's okay.

### append

    public void append(ListNode ln)

  Insert the given node directly after `this'.
  Parameters:
    `ln` - The node to append.

### prepend

    public void prepend(ListNode ln)

  Insert the given node directly before `this'.
  Parameters:
    `ln` - The node to prepend.

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Clone a ListNode. The node is cloned in isolation; the clone is never on a list, regardless of the state of the original.
  Overrides:
    clone in class java.lang.Object

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002